directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Enrique Rodriguez <erodrig...@apache.org>
Subject Re: Do we want to jump to JDK 1.5
Date Tue, 08 Mar 2005 21:16:54 GMT
Alex Karasulu wrote:
> Brett Porter wrote:
> 
>> If this is correct, it still sounds best to me that we attempt to 
>> modularise that support so that it can run on 1.4 without SSL support, 
>> or run on 5.0 with SSL support turned on.
> 
> 
> +1 I totally agree - leave the decision to the user.

+1, mina-addons or whatever.  Hopefully we'll get more contributions 
like SSL.  Maybe Trustin can move the Netty2 support there, as well, so 
the MINA-core doesn't have the dep on tl-netty2.

-enrique

> 
>>
>> - Brett
>>
>> David Boreham wrote:
>>
>>>> Does Tomcat run SSL on JRE 1.4?  If so, can we copy what they are 
>>>> doing?
>>>
>>>
>>>
>>>
>>> SSL support has been in the JRE for a long time.
>>> That's not the point of discussion here.
>>> The issue is that Apache DS (or really mina) is designed around the 
>>> new 'nio' I/O architecture.
>>> Aparently there is no good SSL support for
>>> nio before Java 5.
>>>
>>> So basically it boils down to this: SSL could be
>>> supported with JRE 1.4, but to do so would mean
>>> significant work and (I would guess) lower performance.
>>>
>>> Did I get that right ?
>>>
>>>
>>
>>

Mime
View raw message